Bug 253239 (CVE-2007-4132) - CVE-2007-4132 RHN Satellite xmlrpc flaw
Summary: CVE-2007-4132 RHN Satellite xmlrpc flaw
Status: CLOSED ERRATA
Alias: CVE-2007-4132
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20070807,source=redhat,impac...
Keywords: Security
Depends On: 251181
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-17 15:08 UTC by Mark J. Cox
Modified: 2007-09-04 08:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 08:46:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0868 normal SHIPPED_LIVE Moderate: Red Hat Network Satellite Server security update 2007-08-29 15:08:34 UTC

Description Mark J. Cox 2007-08-17 15:08:45 UTC
During an internal code audit, a flaw was found in an unused back-end xmlrpc
handler added to RHN Satellite 5.0.0.  A remote attacker who is able to connect
to a RHN Satellite server and has valid authentication credentials could use
this flaw to execute arbitrary code on the server as the 'apache' user.

Users of RHN Satellite 5.0.0 are advised to upgrade to 5.0.1 which removes the
unused, vulnerable, handler.

[Note: This issue doesn't affect Red Hat Network hosted, which is how customers
get their updates, it only affects version 5.0.0 of the RHN Satellite product]

Comment 1 Mark J. Cox 2007-08-21 13:04:53 UTC
CVSS v2 Base score: 6.5 (Medium) (AV:N/AC:L/Au:S/C:P/I:P/A:P)

Comment 3 Mark J. Cox 2007-08-29 15:07:46 UTC
removing embargo

Comment 4 Mark J. Cox 2007-09-04 08:46:15 UTC
errata released 20070829, RHSA-2007:0868


Note You need to log in before you can comment on or make changes to this bug.